Subject: Re: bash: ./myscript: No such file or directory. TMP variableis being unset
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Bob McGowan <[email-masked]>
Cc: "Guy T. Moore Jr." <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Thu, 28 Sep 2000 13:51:51 -0400

Good point.  In general I think you would need to close the window in which
bash is running and start it up again.  This will pull in the new environment
settings.  This works on NT-based systems anyway.  I avoid 9x!;-)

Larry

At 01:22 PM 9/28/2000, Bob McGowan wrote:
>Regarding the TMP variable, did you log out after setting it?  I have
>found for my environment that I have to log out and back in before the
>variable I set is seen correctly in Cygwin.  In my case, I suspect that
>it is because I am using inetd as a service, which keeps the dll with my
>login variables loaded?
>
>"Larry Hall (RFK Partners, Inc)" wrote:
> > 
> > At 12:36 PM 9/28/2000, Guy T. Moore Jr. wrote:
> > >1.)
> > >Seems like I should be able to do the following simple shell scripting:
> > >
> > >
> > >I'm in a Cygwin 1.1.4 window at my C: prompt.
> > >
> > >I create a file, called myscript,  with the 1 line of:
> > >
> > >      echo "doggie"
> > >
> > >
> > >I cannot execute this successfully:
> > >
> > >$ ./myscript
> > >bash: ./myscript: No such file or directory.
> > >
> > >
> > >
> > >I can execute myscript succesfully if I add at the top of the
> > >myscript the line of:
> > >
> > >     #!/bin/sh
> > >
> > >
> > >and I can also execute myscript succesfully if I, preface the command with /bin/sh:
> > >
> > >$ /bin/sh myscript
> > >
> > >
> > >I'd rather get it to work the way it does on Solaris 5.7 in a bourne shell or csh
> > >without using any work arounds.
> > >
> > >This problem is preventing other simple things from working correctly.
> > 
> > Your scripts aren't "portable", although that's your choice!;-)  If you
> > are running on NT-based systems with NTFS file systems, you can set "ntsec"
> > in your CYGWIN environment variable and then use "chmod +x <file>" (please
> > read the documentation on how ntsec works though).  Alternatively, you can
> > use "ntea" on NT-based systems on either NTFS or FAT drives, as long as you
> > don't mind a large "EA DATA. SF" file in the root of all the FAT drives!;-)
> > If you use "ntea", you can use chmod as well.  Otherwise, you need to let
> > Cywgin know this is a script by adding the #!/bin/sh line or invoking it
> > with the shell.  Those are your current options.
> > 
> > >2.)
> > >I have the environment variable "TMP" defined as both a SYSTEM and USER environment
> > >variable, but when I open up a Cygwin window it does not have this set.
> > >It has all the other ones set, why did it unset this?
> > 
> > Never seen this so I can't help you there...
> > 
> > Larry Hall                              [email-masked]
> > RFK Partners, Inc.                      http://www.rfk.com
> > 118 Washington Street                   (508) 893-9779 - RFK Office
> > Holliston, MA 01746                     (508) 893-9889 - FAX
> > 
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
>
>-- 
>Bob McGowan
>Staff Software Quality Engineer
>VERITAS Software
>[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]